Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.types
Class SBSMakeOptions

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              com.nokia.ant.types.VariableSet
                  com.nokia.ant.types.SBSMakeOptions

All Implemented Interfaces:
  java.lang.Cloneable

    public class SBSMakeOptions

extends VariableSet

Helper class to store the variable set (list of variables with name / value pair)

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`SBSMakeOptions()` Constructor

Method Summary
`void` | `add(Variable var)` Add a given variable to the list
`Variable` | `createVariable()` Creates an empty variable element and adds it to the variables list
`java.lang.String` | `getEngine()`
`java.util.Vector` | `getVariables()` Returns the list of variables available in the VariableSet
`void` | `setEngine(java.lang.String makeEngine)`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SBSMakeOptions

    public SBSMakeOptions()

  Constructor

Method Detail

### createVariable

    public Variable createVariable()

  Creates an empty variable element and adds it to the variables list

  Overrides:
    `createVariable` in class `VariableSet`
  Returns:
    empty Variable pair

### add

    public void add(Variable var)

  Add a given variable to the list

  Overrides:
    `add` in class `VariableSet`
  Parameters:
    `var` - variable to add

### getVariables

    public java.util.Vector getVariables()

  Returns the list of variables available in the VariableSet

  Overrides:
    `getVariables` in class `VariableSet`
  Returns:
    variable list

### setEngine

    public void setEngine(java.lang.String makeEngine)

### getEngine

    public java.lang.String getEngine()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD